Ticket #56 (closed task: wontfix)

Opened 9 years ago

Last modified 9 years ago

Get JSR-223 working with Java 5

Reported by: curtis Owned by: curtis
Priority: minor Milestone: biweekly-2011: Mar-28 to Apr-08
Component: Scripting Version:
Severity: non-issue Keywords:
Cc: Blocked By:
Blocking: #12

Description

We want to use the Java Scripting Framework (JSR-223) in ImageJ, but we also want to support Java 5 (mainly for older versions of Mac OS X). The JSR-223 reference implementation itself is compatible with Java 5, but perhaps some of the  scripting engines do not? More investigation is required.

My goal is to get JSR-223 with various scripting engines working in a Java 5 environment.

Change History

comment:1 Changed 9 years ago by curtis

  • Milestone changed from biweekly-2010: Jun-01 to Jun-11 to biweekly-2010: Jun-28 to Jul-09

comment:2 Changed 9 years ago by curtis

  • Milestone changed from biweekly-2010: Jun-28 to Jul-09 to biweekly-2010: Jul-26 to Aug-06

comment:3 Changed 9 years ago by curtis

  • Milestone changed from biweekly-2010: Jul-26 to Aug-06 to biweekly-2010: Sep-07 to Sep-17

comment:4 Changed 9 years ago by curtis

  • Milestone changed from biweekly-2010: Sep-07 to Sep-17 to biweekly-2011: Jan-31 to Feb-11

comment:5 Changed 9 years ago by curtis

  • Milestone changed from biweekly-2011: Feb-14 to Feb-25 to biweekly-2011: Mar-28 to Apr-08

comment:6 Changed 9 years ago by curtis

  • Status changed from new to closed
  • Resolution set to wontfix

Now that OpenJDK development is underway for Mac OS X, we can target Java 6 instead. So this ticket is no longer a priority.

comment:7 Changed 8 years ago by curtis

  • Blocked By 12 added

comment:8 Changed 8 years ago by curtis

  • Blocking 12 added
  • Blocked By 12 removed
Note: See TracTickets for help on using tickets.